diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 35eb608..3983d6b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -143000,8 +143000,8 @@ TopLevelDrawFunctionsForAlgebraicCurves(R,Ex): Exports == Implementation where
         ranges := retract(ratRange :: Any)$ANY1(L SEG RN)
         not size?(ranges,2) => error "draw: you must specify two ranges"
         xRange := first ranges; yRange := second ranges
-        xRangeFloat := map(convert(#1)@Float,xRange)@(SEG F)
-        yRangeFloat := map(convert(#1)@Float,yRange)@(SEG F)
+        xRangeFloat := map((s:RN):F+->convert(s)@Float,xRange)@(SEG F)
+        yRangeFloat := map((s:RN):F+->convert(s)@Float,yRange)@(SEG F)
         floatRanges := [xRangeFloat,yRangeFloat]
       else
         floatRanges := retract(floatRange :: Any)$ANY1(L SEG F)
@@ -143009,8 +143009,8 @@ TopLevelDrawFunctionsForAlgebraicCurves(R,Ex): Exports == Implementation where
           error "draw: you must specify two ranges"
         xRangeFloat := first floatRanges
         yRangeFloat := second floatRanges
-        xRange := map(retract(#1)@RN,xRangeFloat)@(SEG RN)
-        yRange := map(retract(#1)@RN,yRangeFloat)@(SEG RN)
+        xRange := map((s:F):RN+->retract(s)@RN,xRangeFloat)@(SEG RN)
+        yRange := map((s:F):RN+->retract(s)@RN,yRangeFloat)@(SEG RN)
         ranges := [xRange,yRange]
       -- create curve plot
       acplot := makeSketch(p,x,y,xRange,yRange)
diff --git a/changelog b/changelog
index f010ac2..0db762a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090622 tpd src/axiom-website/patches.html 20090622.05.tpd.patch
+20090622 tpd books/bookvol10.4 DRAWCURV +-> conversion
 20090622 tpd src/axiom-website/patches.html 20090622.04.tpd.patch
 20090622 tpd books/bookvol10.4 UTSSOL +-> conversion
 20090622 tpd books/bookvol10.4 TABLBUMP +-> conversion
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 522aad3..27d2309 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1643,5 +1643,7 @@ Makefile make xhtml pages in parallel<br/>
 src/axiom-website/download.html add mandriva<br/>
 <a href="patches/20090622.04.tpd.patch">20090622.04.tpd.patch</a>
 bookvol10.4 TABLBUMP, UTSSOL +-> conversion<br/>
+<a href="patches/20090622.05.tpd.patch">20090622.05.tpd.patch</a>
+bookvol10.4 DRAWCURV +-> conversion<br/>
  </body>
 </html>
